Bug 162920 - [patch] respect STRIP/LDFLAGS consistently across untroubled.org ports
Summary: [patch] respect STRIP/LDFLAGS consistently across untroubled.org ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-28 11:00 UTC by Jan Beich
Modified: 2012-04-11 04:40 UTC (History)
0 users

See Also:


Attachments
strip.diff (10.05 KB, patch)
2011-11-28 11:00 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2011-11-28 11:00:29 UTC
Leverage a common bsd.port.mk facility for debugging. To avoid stripping
one can either define empty STRIP= or use WITH_DEBUG=.

Changes are:
  mail/relay-ctrl +LDFLAGS
  everything else +STRIP
Comment 1 Martin Wilke freebsd_committer 2011-12-19 16:07:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 dfilter service freebsd_committer 2012-04-11 04:34:25 UTC
miwi        2012-04-11 03:34:16 UTC

  FreeBSD ports repository

  Modified files:
    security/cvm         Makefile 
    ftp/twoftpd          Makefile 
    devel/bglibs         Makefile 
    mail/qmail-qfilter   Makefile 
    mail/qmail-autoresponder Makefile 
    mail/mailfront       Makefile 
    mail/relay-ctrl      Makefile 
    mail/qmail-notify    Makefile 
    sysutils/ucspi-unix  Makefile 
    sysutils/qlogtools   Makefile 
    sysutils/ucspi-proxy Makefile 
  Log:
  - Respect STRIP/LDFLAGS
  
  PR:             162920
  Submitted by:   Jan Beich (jbeich@tormail.net)
  
  Revision  Changes    Path
  1.43      +1 -2      ports/devel/bglibs/Makefile
  1.20      +2 -2      ports/ftp/twoftpd/Makefile
  1.28      +1 -1      ports/mail/mailfront/Makefile
  1.16      +2 -2      ports/mail/qmail-autoresponder/Makefile
  1.11      +1 -2      ports/mail/qmail-notify/Makefile
  1.10      +1 -2      ports/mail/qmail-qfilter/Makefile
  1.5       +1 -1      ports/mail/relay-ctrl/Makefile
  1.19      +1 -2      ports/security/cvm/Makefile
  1.8       +1 -3      ports/sysutils/qlogtools/Makefile
  1.6       +2 -2      ports/sysutils/ucspi-proxy/Makefile
  1.11      +2 -2      ports/sysutils/ucspi-unix/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Martin Wilke freebsd_committer 2012-04-11 04:34:27 UTC
State Changed
From-To: open->closed

Committed. Thanks!